Package org.linphone.core

# Interface FriendPhoneNumber

public interface FriendPhoneNumber
Object that represents a `Friend`'s phone number.

## Method Summary

Modifier and Type
Method
Description
`FriendPhoneNumber`
`clone()`
Clones a phone number.
`String`
`getLabel()`
Gets the label associated to this phone number.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`String`
`getPhoneNumber()`
Gets the phone number.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`void`
`setLabel(String label)`
Sets the label for this phone number.
`void`
`setPhoneNumber(String number)`
Sets the phone number.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`

## Method Details

### getLabel

@Nullable String getLabel()
Gets the label associated to this phone number.

Returns:
  the label set if any, null otherwise.

### setLabel

void setLabel(@Nullable String label)
Sets the label for this phone number.

Parameters:
  `label` - the label to set.

### getPhoneNumber

@NonNull String getPhoneNumber()
Gets the phone number.

Returns:
  the phone number stored.

### setPhoneNumber

void setPhoneNumber(@NonNull String number)
Sets the phone number.

Parameters:
  `number` - the phone number to set.

### clone

@NonNull FriendPhoneNumber clone()
Clones a phone number.

Returns:
  The newly created `FriendPhoneNumber` object.

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`